Support » Plugin: Event List » Update to 0.8.2 won’t stop

  • The upgrade to 0.8.2 won’t seem to stop and it is creating thousands of upgrade.log files with the entry “Update of option “el_last_upgr_version” is not required: correct value “0.8.2” already set” I can’t get it to stop so I had to deactivate the plugin through FTP. Not sure how to resolve.

    Chris

Viewing 5 replies - 1 through 5 (of 5 total)
  • Yes same issue. I had to restore the old version via ftp.

    • This reply was modified 2 months, 3 weeks ago by  bapcsuk.
    Plugin Author mibuthu

    (@mibuthu)

    I cannot reproduce this issue, so I need some more informations:

    Please edit the plugin file admin/admin.php and add the following code lines after line 42 ($last_upgr_version = …):

    echo('file_data version: '.$file_data['version'].'<br />');
    echo('last_upgr_version: '.$last_upgr_version.'<br />');
    echo('resume-el-upgr: '.(isset($_GET['resume-el-upgr']) ? $_GET['resume-el-upgr'] : '').'<br />');
    die();

    Afterwards visit your admin area and post the output of the page here.

    To temporary fix this issue you can then additionally add the following line directly after line 42 in the same file:
    return;
    This will disable the upgrade check.

    • This reply was modified 2 months, 3 weeks ago by  mibuthu.

    By addoing the code above, I get this :

    file_data version: 0.8.2
    file_data version: 0.8.2
    last_upgr_version: 0.8.1
    resume-el-upgr:

    Same issue for me as well. Had to restore the site from a backup.

    Tim Smith

    (@creativeinfusion)

    We had the same issue. “Event list plugin upgrade in progress… Please be patience(sic) until this process is finished.”

    Disabling and re-enabling the plugin a few times eventually sorted it out.

    upgrade.log.584 has
    [2018-05-16 10:12:07] Updated option "el_last_upgr_version" to value "0.8.2"

    upgrade.log (and all the others with earlier timestamps) has
    [2018-05-16 10:22:58] Update of option "el_last_upgr_version" is not required: correct value "0.8.2" already set

    Something is wrong with the check for completion as we also got repeated error_log lines starting:

    [16-May-2018 10:12:07 UTC] EL_UPGRADE: Maximum script execution time: 120 seconds
    [16-May-2018 10:12:07 UTC] EL_UPGRADE: Option "el_upgr_in_progress" added with value "1526465527"
    [16-May-2018 10:12:07 UTC] EL_UPGRADE: Start upgrade check
    [16-May-2018 10:12:07 UTC] EL_UPGRADE: Updated option "el_last_upgr_version" to value "0.8.2"
    [16-May-2018 10:12:07 UTC] EL_UPGRADE: Deleted option "el_upgr_in_progress"
    [16-May-2018 10:12:08 UTC] EL_UPGRADE: Maximum script execution time: 120 seconds
    [16-May-2018 10:12:08 UTC] EL_UPGRADE: Option "el_upgr_in_progress" added with value "1526465528"
    [16-May-2018 10:12:08 UTC] EL_UPGRADE: Start upgrade check
    [16-May-2018 10:12:08 UTC] EL_UPGRADE: Update of option "el_last_upgr_version" is not required: correct value "0.8.2" already set
    [16-May-2018 10:12:08 UTC] EL_UPGRADE: Deleted option "el_upgr_in_progress"
    [16-May-2018 10:12:08 UTC] EL_UPGRADE: Maximum script execution time: 120 seconds
    [16-May-2018 10:12:08 UTC] EL_UPGRADE: Option "el_upgr_in_progress" added with value "1526465528"
    [16-May-2018 10:12:08 UTC] EL_UPGRADE: Start upgrade check
    [16-May-2018 10:12:08 UTC] EL_UPGRADE: Update of option "el_last_upgr_version" is not required: correct value "0.8.2" already set
    [16-May-2018 10:12:08 UTC] EL_UPGRADE: Deleted option "el_upgr_in_progress"
    [16-May-2018 10:12:09 UTC] EL_UPGRADE: Maximum script execution time: 120 seconds
    [16-May-2018 10:12:09 UTC] EL_UPGRADE: Option "el_upgr_in_progress" added with value "1526465529"
    [16-May-2018 10:12:09 UTC] EL_UPGRADE: Start upgrade check
    [16-May-2018 10:12:09 UTC] EL_UPGRADE: Update of option "el_last_upgr_version" is not required: correct value "0.8.2" already set
    [16-May-2018 10:12:09 UTC] EL_UPGRADE: Deleted option "el_upgr_in_progress"
    [16-May-2018 10:12:10 UTC] EL_UPGRADE: Maximum script execution time: 120 seconds
    [16-May-2018 10:12:10 UTC] EL_UPGRADE: Option "el_upgr_in_progress" added with value "1526465530"
    [16-May-2018 10:12:10 UTC] EL_UPGRADE: Start upgrade check
    [16-May-2018 10:12:10 UTC] EL_UPGRADE: Update of option "el_last_upgr_version" is not required: correct value "0.8.2" already set
    [16-May-2018 10:12:10 UTC] EL_UPGRADE: Deleted option "el_upgr_in_progress"
    [16-May-2018 10:12:10 UTC] EL_UPGRADE: Maximum script execution time: 120 seconds
    [16-May-2018 10:12:10 UTC] EL_UPGRADE: Option "el_upgr_in_progress" added with value "1526465530"
    [16-May-2018 10:12:10 UTC] EL_UPGRADE: Start upgrade check
    [16-May-2018 10:12:10 UTC] EL_UPGRADE: Update of option "el_last_upgr_version" is not required: correct value "0.8.2" already set
    [16-May-2018 10:12:10 UTC] EL_UPGRADE: Deleted option "el_upgr_in_progress"

    The repeated section continues a lot.

Viewing 5 replies - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.